Subject: Re: [PATCH] use commit_stack instead of prio_queue in LIFO mode

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 19 Mar 2026 08:19:42 +0100

On Tue, Mar 17, 2026 at 10:40:07PM +0100, René Scharfe wrote:
> A prio_queue with a NULL compare function acts as a stack -- the last
> element in is the first one out (LIFO).  Use an actual commit_stack
> instead where possible, as it documents the behavior better, provides
> type safety and saves some memory because prio_queue stores an
> additional tie-breaking counter per element.

Right. I doubt that the memory improvement will really make much of a
difference, but I agree that using a commit stack makes the intent
clearer.

The changes all look as expected to me. Thanks!

Patrick